#include<iostream>
using namespace std;
int main()
{
    int N, K;
    cin>>N; cin>>K;
    int a[N];
    for(int i=0; i<N; i++) cin>>a[i];
	for(int i=0; i<N; i++) {
    	if((a[i]==K) && (i+1<N)) {
    		cout<<a[i+1];
    		break;
		}
		else if((i+1==N) && (a[i]==K)) {
			cout<<a[0];
			break;
		}
	}
}